## Name

DEL — Delete a file

## Synopsis

`del` [ `-x` ] `path` {`path`} [ `-x` ]

## Description

This command is used to delete the file(s) specified by the pathlist(s). The user must have write permission for the file(s). Directory files cannot be deleted unless their type is changed to non-directory: see the attr command description.

If the -x option appears, the current execution directory is assumed.

For more information see: the section called “Deleting Directory Files”, the section called “Examining and Changing File Attributes”

## Examples

    del test_program old_test_program

    del /D1/number_five

    OS9:dir /D1

       Directory of /D1 14:29:46
    myfile          newfile

    OS9:del /D1/newfile
    OS9:dir /D1

       Directory of /D1 14:30:37
    myfile

    OS9:del myprog -x
    OS9:del -x CMDS.SUBDIR/file